Download a File Revision
curl --request GET \
--url https://{instance}.domo.com/api/data/v1/data-files/{fileId}/revision/{revisionId} \
--header 'X-DOMO-Developer-Token: <api-key>'import requests
url = "https://{instance}.domo.com/api/data/v1/data-files/{fileId}/revision/{revisionId}"
headers = {"X-DOMO-Developer-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-DOMO-Developer-Token': '<api-key>'}};
fetch('https://{instance}.domo.com/api/data/v1/data-files/{fileId}/revision/{revisionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"Files API
Download a File Revision
Fetches the file contents of a specific revision.
GET
/
api
/
data
/
v1
/
data-files
/
{fileId}
/
revision
/
{revisionId}
Download a File Revision
Authorizations
Domo Developer Token for authentication (Assumed based on similar APIs).
Path Parameters
The id of the file.
The id of the revision you wish to download.
Query Parameters
The desired name for the downloaded file.
Response
The file content.
The response is of type file.
⌘I